petsc-3.10.5 2019-03-28
Report Typos and Errors

# TSSetProblemType

Sets the type of problem to be solved.

### Synopsis

    #include "petscts.h"
    PetscErrorCode  TSSetProblemType(TS ts, TSProblemType type)

Not collective

### Input Parameters

| ts | - The TS
| type | - One of TS_LINEAR, TS_NONLINEAR where these types refer to problems of the forms

             U_t - A U = 0      (linear)
             U_t - A(t) U = 0   (linear)
             F(t,U,U_t) = 0     (nonlinear)

### Keywords

TS, problem type

### See Also

TSSetUp(), TSProblemType, TS

### Level

beginner

### Location

src/ts/interface/ts.c

### Examples

src/ts/examples/tutorials/ex1.c.html
src/ts/examples/tutorials/ex2.c.html
src/ts/examples/tutorials/ex3.c.html
src/ts/examples/tutorials/ex4.c.html
src/ts/examples/tutorials/ex5.c.html
src/ts/examples/tutorials/ex6.c.html
src/ts/examples/tutorials/ex7.c.html
src/ts/examples/tutorials/ex8.c.html
src/ts/examples/tutorials/ex10.c.html
src/ts/examples/tutorials/ex12.c.html
src/ts/examples/tutorials/ex14.c.html
Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages